Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.xml.sax
Class DefaultHandler

    java.lang.Object
      javolution.xml.sax.DefaultHandler

All Implemented Interfaces:
  ContentHandler, org.xml.sax.ErrorHandler

    public class DefaultHandler

extends java.lang.Object
implements ContentHandler, org.xml.sax.ErrorHandler

Default base class for real-time handling of XML events.

Version:
  3.1, March 11, 2005
Author:
  David Megginson, Jean-Marie Dautelle

Constructor Summary
`DefaultHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Receives notification of character data.
`void` | `endDocument()` Receives notification of the end of a document.
`void` | `endElement(CharArray namespaceURI, CharArray localName, CharArray qName)` Receives notification of the end of an element.
`void` | `endPrefixMapping(CharArray prefix)` Ends the scope of a prefix-URI mapping.
`void` | `error(org.xml.sax.SAXParseException e)` Receives notification of recoverable parser error.
`void` | `fatalError(org.xml.sax.SAXParseException e)` Reports a fatal XML parsing error.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Receives notification of ignorable whitespace in element content.
`void` | `processingInstruction(CharArray target, CharArray data)` Receives notification of a processing instruction.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Receives an object for locating the origin of SAX document events.
`void` | `skippedEntity(CharArray name)` Receives notification of a skipped entity.
`void` | `startDocument()` Receives notification of the beginning of a document.
`void` | `startElement(CharArray namespaceURI, CharArray localName, CharArray qName, Attributes atts)` Receives notification of the beginning of an element.
`protected void` | `startElement(CharArray uri, CharArray localName, CharArray qName, org.xml.sax.Attributes atts)` Generates compile-time error if `startElement` is not correctly overriden.
`void` | `startPrefixMapping(CharArray prefix, CharArray uri)` Begins the scope of a prefix-URI Namespace mapping.
`void` | `warning(org.xml.sax.SAXParseException e)` Receives notification of a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHandler

    public DefaultHandler()

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Receives notification of a warning. The default behaviour is to take no action.

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `e` - the warning information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Receives notification of recoverable parser error. The default behaviour is to take no action.

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `e` - the error information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Reports a fatal XML parsing error. The default behaviour is to throw the specified exception.

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `e` - the error information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Description copied from interface: `ContentHandler`
  Receives an object for locating the origin of SAX document events.

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`
  Parameters:
    `locator` - the document locator.

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of the beginning of a document.

  Specified by:
    `startDocument` in interface `ContentHandler`
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of the end of a document.

  Specified by:
    `endDocument` in interface `ContentHandler`
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### startPrefixMapping

    public void startPrefixMapping(CharArray prefix,
                                   CharArray uri)
                            throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Begins the scope of a prefix-URI Namespace mapping.

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Parameters:
    `prefix` - the Namespace prefix being declared.
    `uri` - the namespace URI the prefix is mapped to.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### endPrefixMapping

    public void endPrefixMapping(CharArray prefix)
                          throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Ends the scope of a prefix-URI mapping.

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Parameters:
    `prefix` - the prefix that was being mapping.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### startElement

    public void startElement(CharArray namespaceURI,
                             CharArray localName,
                             CharArray qName,
                             Attributes atts)
                      throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of the beginning of an element.

  Specified by:
    `startElement` in interface `ContentHandler`
  Parameters:
    `namespaceURI` - the namespace URI, or an empty character sequence if the element has no Namespace URI or if namespace processing is not being performed.
    `localName` - the local name (without prefix), or an empty character sequence if namespace processing is not being performed.
    `qName` - the qualified name (with prefix), or an empty character sequence if qualified names are not available.
    `atts` - the attributes attached to the element. If there are no attributes, it shall be an empty `Attributes` object.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### endElement

    public void endElement(CharArray namespaceURI,
                           CharArray localName,
                           CharArray qName)
                    throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of the end of an element.

  Specified by:
    `endElement` in interface `ContentHandler`
  Parameters:
    `namespaceURI` - the namespace URI, or an empty character sequence if the element has no Namespace URI or if namespace processing is not being performed.
    `localName` - the local name (without prefix), or an empty character sequence if namespace processing is not being performed.
    `qName` - the qualified XML 1.0 name (with prefix), or an empty character sequence if qualified names are not available.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of character data.

  Specified by:
    `characters` in interface `ContentHandler`
  Parameters:
    `ch` - the characters from the XML document.
    `start` - the start position in the array.
    `length` - the number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of ignorable whitespace in element content.

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Parameters:
    `ch` - the characters from the XML document.
    `start` - the start position in the array.
    `length` - the number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### processingInstruction

    public void processingInstruction(CharArray target,
                                      CharArray data)
                               throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of a processing instruction.

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Parameters:
    `target` - the processing instruction target.
    `data` - the processing instruction data, or null if none was supplied. The data does not include any whitespace separating it from the target.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### skippedEntity

    public void skippedEntity(CharArray name)
                       throws org.xml.sax.SAXException

  Description copied from interface: `ContentHandler`
  Receives notification of a skipped entity.

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Parameters:
    `name` - the name of the skipped entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be the character sequence "[dtd]".
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### startElement

    protected final void startElement(CharArray uri,
                                      CharArray localName,
                                      CharArray qName,
                                      org.xml.sax.Attributes atts)
                               throws org.xml.sax.SAXException

  Generates compile-time error if `startElement` is not correctly overriden. This method generates a compile-error `"final method cannot be overridden"` if `org.xml.sax.Attributes` is used instead of `javolution.xml.sax.Attributes` (common mistake).

  Parameters:
    `uri` - the namespace URI, or an empty character sequence if the element has no Namespace URI or if namespace processing is not being performed.
    `localName` - the local name (without prefix), or an empty character sequence if namespace processing is not being performed.
    `qName` - the qualified name (with prefix), or an empty character sequence if qualified names are not available.
    `atts` - the attributes attached to the element. If there are no attributes, it shall be an empty `Attributes` object.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2009 Javolution.